Buy Now
Sign in

How to restore a CF6 form to CF7

pokomon , October 20 2021, 13:48
P
pokomon 27
October 20 2021, 13:48 #397267
Is it possible to restore a CF6 form to CF7?
(The reason I ask is that I get warnings and errors probably after upgrade to php 7.4 in CF6.
Do you need more information?
This is the error in CF6 after submitting the form 0 - DOMXPath::query(): Invalid expression in selector >> body
<< in ../public_html/libraries/cegcore2/vendors/emogrifier/Emogrifier.php
on line 371)
GreyHead 65
October 20 2021, 14:28 #397269
Hi pokomon,
Sorry but there is no upgrade option from CFv6 to CFv7 yet. The simplest fix is probably to stay with PHP 7.3 for the moment. Alternatively, there may be a new version of the Emogrifier library that you could use - I haven't tried this so am not sure how it would work. Emogrifier can be found here.
Bob
If you'd like to buy me a coffee or two, thank you very much
P
pokomon 27
October 20 2021, 17:36 #397271
I changed PHP to 7.3.31 but I still have the error '... emogrifier.php on line 371). The warning that I had before, is gone, but the error after submit is still there. What would you advise?
Warning:  Creating default object from empty value in /xxx/libraries/cegcore2/libs/helper.php on line 22
P
pokomon 27
October 21 2021, 09:07 #397272
 Answer
I had checked the setting of "Apply advanced template parsing and style" on the emails. Now I disabled this setting. The error is gone and everything seems to work again. Thanks for helping me out.
Is there a newsletter or some other way to follow up on information on the upgrade to CFv7?
GreyHead 65
October 21 2021, 09:31 #397273
Hi pokomon,
Good to see that you got this working :-)
There is no newsletter, Max does usually make a blog post here when there is a new version or a significant upgrade.
Bob
If you'd like to buy me a coffee or two, thank you very much
Y
yerg 65
November 15 2021, 06:25 #397401
I can't get v6 to function until I go back to php v5.6 :-(
Not looking forward to rebuilding at all.
Especially when both the old live site and new development site are on the same server.
Ah well. Thems the breaks
GreyHead 65
November 15 2021, 15:45 #397403
Hi yerg,
I just checked this site - CFv6 is running OK here under PHP 7.3.32
Please check that you have the latest release installed.
Bob
If you'd like to buy me a coffee or two, thank you very much